Zum Hauptinhalt springen
GET
/
settings
/
{name}
Get a single setting by name
curl --request GET \
  --url https://demo.enneo.ai/api/mind/settings/{name} \
  --header 'Authorization: Bearer <token>'
{
  "name": "ticketingSystem",
  "category": "email",
  "group": "Generic E-Mail Settings",
  "label": "Ticketing system in use",
  "description": "Enneo supports multiple ticketing systems. Please select one.",
  "type": "select",
  "config": null,
  "value": "internal",
  "defaultValue": "internal"
}

Documentation Index

Fetch the complete documentation index at: https://docs.enneo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

JWT-based authentication

Pfadparameter

name
string
erforderlich

The name of the setting to retrieve

Abfrageparameter

showSecrets
boolean

Whether to show secrets in the result

Antwort

The requested setting object.

Settings object

name
string
Beispiel:

"ticketingSystem"

category
string
Beispiel:

"email"

group
string | null
Beispiel:

"Generic E-Mail Settings"

label
string
Beispiel:

"Ticketing system in use"

description
string
Beispiel:

"Enneo supports multiple ticketing systems. Please select one."

type
enum<string>

Format in which the FE should render this setting. Follows the enneo standard dynamic intent form options specified in Notion

Verfügbare Optionen:
text,
date,
radio,
number,
integer,
checkbox,
textarea,
select,
json,
executor,
executors,
multiselect
Beispiel:

"select"

config
object

Additional configuration properties that are dependant on type or rarely used

value
Beispiel:

"internal"

defaultValue
Beispiel:

"internal"